package = "lsup"
version = "scm-1"
source = {
   --url = "./"
   url = "git://git.knowledgetx.com/scossu/lsup_rdf.git",
   branch = "master",
   tag = "HEAD",
   --tag = "scm",
}
description = {
   summary = "Compact, minimalistic RDF library and persistent store.",
   detailed = [[
      `lsup_rdf` is an embedded library to manipulate and permanently store
      Linked Data. It handles terms, triples, graphs, and has an in-memory and
      a filesystem-based storage back ends.
   ]],
   homepage = "http://git.knowledgetx.com/scossu/lsup_rdf",
   license = "https://git.knowledgetx.com/scossu/lsup_rdf/src/master/LICENSE"
}
dependencies = {
   "lua >= 5.4, < 6",
}
build = {
   type = "make",
   --build_target = "lua",
   --install_target = "lua_install",
   --[=[
   modules = {
      lsup = {
         sources = {
             "src/lua_*.c",
             --[[
             "src/lua_namespace.c",
             "src/lua_term.c",
             "src/lua_triple.c",
             "src/lua_graph.c",
             "src/lua_lsup.c",
             --]]
         },
         --defines = {},
         --libraries = {"lsuprdf_dbg"},
         --incdirs = {"./include", "./ext/log/src", "./ext/hashmap"},
         --libdirs = {}
      }
   },
   --copy_directories = {}
   --]=]
}
